import { Renderer2, ElementRef, NgZone, AfterViewInit } from '@angular/core';
import { Observable } from 'rxjs/Observable';
export declare class NzbAlertDirective implements AfterViewInit {
    private elementRef;
    private renderer;
    private ngZone;
    initiallyOpen: boolean;
    private eventsSubject;
    private statusSubject;
    private $placeholder;
    private $el;
    readonly events: Observable<Event>;
    readonly status: Observable<string>;
    constructor(elementRef: ElementRef, renderer: Renderer2, ngZone: NgZone);
    ngAfterViewInit(): void;
    open(): void;
    close(): void;
}
