import { ElementRef, NgZone, AfterViewInit } from '@angular/core';
import { Observable } from 'rxjs/Observable';
export declare class NzbCarouselDirective implements AfterViewInit {
    private elementRef;
    private ngZone;
    private $el;
    private animatingSubject;
    private pausedSubject;
    private indexSubject;
    private eventsSubject;
    private dataSubject;
    readonly animating: Observable<boolean>;
    readonly paused: Observable<boolean>;
    readonly index: Observable<number>;
    readonly events: Observable<Event>;
    readonly data: Observable<any>;
    constructor(elementRef: ElementRef, ngZone: NgZone);
    private updateDataProperties();
    ngAfterViewInit(): void;
    cycle(): void;
    pause(): void;
    slideTo(index: number): void;
    prev(): void;
    next(): void;
}
