import { Renderer2, ViewContainerRef, ApplicationRef, ComponentFactoryResolver, ElementRef, TemplateRef, NgZone } from '@angular/core';
import { NzbAbstractPopup } from '../common/nzb-abstract-popup.class';
import { NzbPopoverOptions } from './nzb-popover-options.class';
export declare class NzbPopoverDirective extends NzbAbstractPopup {
    nzbPopoverTitle: TemplateRef<any> | null;
    nzbPopoverContent: TemplateRef<any> | null;
    nzbPopoverOptions: NzbPopoverOptions | null;
    protected bsComponentName: string;
    constructor(elementRef: ElementRef, renderer: Renderer2, viewContainer: ViewContainerRef, appRef: ApplicationRef, cfr: ComponentFactoryResolver, ngZone: NgZone, defaultOptions: NzbPopoverOptions);
    protected getInputTitleTemplate(): TemplateRef<any> | null;
    protected getInputContentTemplate(): TemplateRef<any> | null;
    protected getInputOptions(): NzbPopoverOptions | null;
}
