import { Renderer2, ViewContainerRef, ApplicationRef, ComponentFactoryResolver, ElementRef, TemplateRef, NgZone } from '@angular/core';
import { NzbTooltipOptions } from './nzb-tooltip-options.class';
import { NzbAbstractPopup } from '../common/nzb-abstract-popup.class';
export declare class NzbTooltipDirective extends NzbAbstractPopup {
    nzbTooltipTitle: TemplateRef<any> | null;
    nzbTooltipOptions: NzbTooltipOptions | null;
    protected bsComponentName: string;
    constructor(elementRef: ElementRef, renderer: Renderer2, viewContainer: ViewContainerRef, appRef: ApplicationRef, cfr: ComponentFactoryResolver, ngZone: NgZone, defaultOptions: NzbTooltipOptions);
    protected getInputTitleTemplate(): TemplateRef<any> | null;
    protected getInputContentTemplate(): TemplateRef<any> | null;
    protected getInputOptions(): NzbTooltipOptions | null;
}
