import { NgZone, ElementRef, AfterViewInit, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs/Observable';
export declare class NzbCollapseDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private ngZone;
    private eventsSubject;
    private statusSubject;
    readonly events: Observable<Event>;
    readonly status: Observable<string>;
    constructor(elementRef: ElementRef, ngZone: NgZone);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toggle(): void;
    show(): void;
    hide(): void;
}
