import { ElementRef, NgZone, AfterViewInit } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { Observable } from 'rxjs/Observable';
export declare class NzbDropdownDirective implements AfterViewInit {
    private ngZone;
    private elementRef;
    protected eventsSubject: Subject<Event>;
    protected statusSubject: BehaviorSubject<string>;
    readonly status: Observable<string>;
    readonly events: Observable<Event>;
    constructor(ngZone: NgZone, elementRef: ElementRef);
    ngAfterViewInit(): void;
    toggle(): void;
    update(): void;
}
