import { OnDestroy, ViewContainerRef, ApplicationRef, Renderer2, ComponentFactoryResolver, TemplateRef, NgZone } from '@angular/core';
import { Observable } from 'rxjs/Observable';
export declare class NzbModalDirective implements OnDestroy {
    private ngZone;
    private templateRef;
    private renderer;
    private viewContainer;
    private appRef;
    private cfr;
    private eventsSubject;
    private statusSubject;
    private componentRef;
    readonly status: Observable<string>;
    readonly events: Observable<Event>;
    constructor(ngZone: NgZone, templateRef: TemplateRef<any>, renderer: Renderer2, viewContainer: ViewContainerRef, appRef: ApplicationRef, cfr: ComponentFactoryResolver);
    private createAndAppendModal();
    ngOnDestroy(): void;
    show(): void;
    hide(): void;
    toggle(): void;
    handleUpdate(): void;
}
